import { get } from "app/utils/client";

export async function getIncomingMessages(page = 1, perPage = 5) {
  const response = await get("/dev/api/report/incoming-messages", {
    page,
    per_page: perPage,
  });

  return {
    messages: response.data.data,
    pagination: response.data.meta,
  };
}

export async function getReturnedCharges(page = 1, perPage = 5) {
  const response = await get("/dev/api/report/returned-charges", {
    page,
    per_page: perPage,
  });

  return {
    charges: response.data.data,
    pagination: response.data.meta,
  };
}

export async function getNormalPosts(page = 1, perPage = 5) {
  const response = await get("/dev/api/report/normal-posts", {
    page,
    per_page: perPage,
  });

  return {
    posts: response.data.data,
    pagination: response.data.meta,
  };
}
