import PropTypes from 'prop-types';
import Checkbox from '@material-ui/core/Checkbox';

const DataTableCheckbox = ({ indeterminate, checked, onChange, ...rest }) => {
  return (
    <Checkbox
      checked={checked}
      onChange={onChange}
      indeterminate={indeterminate}
      onClick={(event) => event.stopPropagation()}
      {...rest}
    />
  );
};

DataTableCheckbox.propTypes = {
  indeterminate: PropTypes.bool,
  checked: PropTypes.bool.isRequired,
  onChange: PropTypes.func.isRequired,
};

export default DataTableCheckbox;
