import CloseIcon from '@material-ui/icons/Close';
import { makeStyles } from '@material-ui/core/styles';
import IconButton from '@material-ui/core/IconButton';
import { fade } from '@material-ui/core/styles/colorManipulator';

const useStyles = makeStyles((theme) => {
  return {
    root: {
      position: 'absolute',
      right: theme.spacing(1),
      top: theme.spacing(1),
      color: theme.palette.grey[500],
      '&:hover': {
        background: fade(theme.palette.grey[500], 0.3),
      },
    },
  };
});

const DialogCloseButton = (props) => {
  const classes = useStyles();

  return (
    <IconButton aria-label="close" className={classes.root} {...props}>
      <CloseIcon />
    </IconButton>
  );
};

export default DialogCloseButton;
