import PropTypes from "prop-types";
import { Controller } from "react-hook-form";
import { DateTimePicker } from "@material-ui/pickers";

const DateTimePickerFilter = ({ register, control, name, ...rest }) => {
  return (
    <Controller
      name={name}
      control={control}
      autoOk
      clearable
      disablePast
      size="small"
      showTodayButton
      okLabel="تأیید"
      cancelLabel="لغو"
      todayLabel="امروز"
      as={DateTimePicker}
      defaultValue={null}
      clearLabel="پاک کردن"
      inputVariant="outlined"
      labelFunc={(date) => (date ? date.format("jYYYY/jMM/jDD HH:mm") : "")}
      {...rest}
    />
  );
};

DateTimePickerFilter.propTypes = {
  control: PropTypes.object,
  name: PropTypes.string.isRequired,
};

export default DateTimePickerFilter;
