import PropTypes from 'prop-types';
import Button from '@material-ui/core/Button';
import { green } from '@material-ui/core/colors';
import { makeStyles } from '@material-ui/core/styles';
import CircularProgress from '@material-ui/core/CircularProgress';

const useStyles = makeStyles((theme) => ({
  wrapper: {
    position: 'relative',
  },
  buttonProgress: {
    color: green[500],
    position: 'absolute',
    top: '50%',
    left: '50%',
    marginTop: -12,
    marginLeft: -12,
  },
}));

const LoadingButton = ({ isLoading,click, ...props }) => {
  const classes = useStyles();

  return (
    <div className={classes.wrapper}>
      <Button onClick={click} disabled={isLoading} {...props} />
      {isLoading && (
        <CircularProgress size={24} className={classes.buttonProgress} />
      )}
    </div>
  );
};

LoadingButton.propTypes = {
  isLoading: PropTypes.bool.isRequired,
};

export default LoadingButton;
