import React, { useState } from "react";
import clsx from "clsx";
import PropTypes from "prop-types";
import List from "@material-ui/core/List";
import AppBar from "@material-ui/core/AppBar";
import Button from "@material-ui/core/Button";
import Dialog from "@material-ui/core/Dialog";
import Toolbar from "@material-ui/core/Toolbar";
import CloseIcon from "@material-ui/icons/Close";
import Alert from "@material-ui/lab/Alert";
import DraftsIcon from "@material-ui/icons/Drafts";
import IconButton from "@material-ui/core/IconButton";
import Typography from "@material-ui/core/Typography";
import { makeStyles } from '@material-ui/core/styles';
import Pagination from '@material-ui/lab/Pagination';

import TextField from "@material-ui/core/TextField";
import FuseAnimateGroup from "@fuse/core/FuseAnimateGroup";
import DialogContent from "@material-ui/core/DialogContent";
import { fade } from "@material-ui/core/styles/colorManipulator";
import { Icon } from "@material-ui/core";

import Table from '@material-ui/core/Table';
import TableBody from '@material-ui/core/TableBody';
import TableCell from '@material-ui/core/TableCell';
import TableContainer from '@material-ui/core/TableContainer';
import TableFooter from '@material-ui/core/TableFooter';
import TableRow from '@material-ui/core/TableRow';
import InputAdornment from '@material-ui/core/InputAdornment';


const columns = [

  {
    id: 'name',
    label: 'name',
    minWidth: 170,
    align: 'left',
    format: (value) => value.toLocaleString('en-US'),
  }
];

function createData(name) {
  const density = 0;
  return { name };
}

const rows = [
  createData('India ی © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد. ل '),
  createData('China'),
  createData('United States'),
  createData('Canada © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد. '),
  createData('Italy'),
  createData('United States'),
  createData('Canada © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد. '),
  createData('United Statesی لیب لیب  © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد.  یبل'),
  createData('Canada'), createData('India'),
  createData('China © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد. '),
  createData('Italy'),
  createData('United States'),
  createData('Canada © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد. '),
  createData('United States'),
  createData('Canada © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد. '),
  createData('United States'),
  createData('Canada © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد. '),
  createData('United States'),
  createData('Canada © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد. '),
  createData('United States'),
  createData('Canada © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد. '),
];


const useStyles = makeStyles((theme) => {
  return {
    templateItem: {
      borderBottom: `1px solid  ${theme.palette.divider}`,
    },
    closeButton: {
      position: "absolute",
      right: theme.spacing(1),
      top: theme.spacing(1),
      color: theme.palette.grey[500],
      "&:hover": {
        background: fade(theme.palette.secondary.contrastText, 0.3),
      },
    },

    root: {
      width: '100%',
      marginTop:0,
    },
    container: {
      maxHeight: 280,
      borderRadius: 8,
      border: '1px solid rgba(0, 0, 0, 0.12)',
    },
  };
});

function MessageTemplatesModal({ onSelect }) {
  const [openDialog, setOpenDialog] = useState(false);
  const classes = useStyles();
  const [page, setPage] = React.useState(0);
  const [rowsPerPage, setRowsPerPage] = React.useState(10);

  const handleChangePage = (event, newPage) => {
    setPage(newPage);
  };

  const handleChangeRowsPerPage = (event) => {
    setRowsPerPage(+event.target.value);
    setPage(0);
  };
  const handleOpenDialog = () => {
    setOpenDialog(true);
  };

  const handleCloseDialog = () => {
    setOpenDialog(false);
  };

  const handleSelect = (template) => {
    onSelect(template);
    handleCloseDialog();
  };

  return (
    <>
      <div className="flex-wrap flex-row ">
        <Button
          size="small"
          variant="outlined"
          className="min-w-8 border-0"
          onClick={handleOpenDialog}
        >
          <Icon className="block text-24 bg-white rounded-full"> sentiment_satisfied </Icon>
        </Button>

        <Button
          size="small"
          variant="outlined"
          className="min-w-8 border-0"
          onClick={handleOpenDialog}
        >
          <Icon className="block text-24 bg-white rounded-full">  event_note </Icon>
        </Button>

        <Button
          size="small"
          variant="outlined"
          className="mr-8"
          startIcon={<DraftsIcon />}
          onClick={handleOpenDialog}
        >
          پیش نویس‌ ها
        </Button>
      </div>


      <Dialog
        open={openDialog}
        onClose={handleCloseDialog}
        aria-labelledby="form-dialog-title"
        classes={{
          paper: "rounded-8 ",
        }}
        fullWidth
      >
        <AppBar position="static">
          <Toolbar className="flex w-full min-h-56">
            <Typography variant="subtitle1" color="inherit">
              پیش نویس‌ها
            </Typography>
          </Toolbar>
          <IconButton
            aria-label="close"
            className={classes.closeButton}
            onClick={handleCloseDialog}
          >
            <CloseIcon />
          </IconButton>
        </AppBar>

        <div className="flex flex-col m-20 pt-0">
          <DialogContent classes={{ root: "p-0 mt-0" }}>
            <List className="p-0">
              <FuseAnimateGroup
                enter={{
                  animation: "transition.slideUpBigIn",
                }}
              >

                <div className="flex-row  pt-0 mb-0">
                  <TextField
                    autoFocus
                    type="text"
                    name="title"
                    label="جستجو"
                    margin="dense"
                    variant="outlined"
                    className="mt-0 mb-20 min-w-1/2"
                    InputProps={{
                      startAdornment: <InputAdornment position="start"> </InputAdornment>,
                    }}
                    variant="outlined"
                  />
                  <Button
                    type="button"
                    className="mx-8"
                    color="primary"
                    variant="contained"
                  >
                    جستجو
                  </Button>
                  <Button variant="contained"  color="secondary"  type="submit">
                    افزودن متن جدید
                  </Button>
                </div>


                <TableContainer className={clsx(classes.container, "")}>
                  <Table stickyHeader aria-label="sticky table" className="mx-0 mr-0 ml-0" >
                    <TableBody>
                      {rows.slice(page * rowsPerPage, page * rowsPerPage + rowsPerPage).map((row) => {
                        return (
                          <TableRow hover role="checkbox" tabIndex={-1} key={row.code}>
                            {columns.map((column) => {
                              const value = row[column.id];
                              return (
                                <TableCell
                                  onClick={() => handleSelect(row[column.id])}
                                  key={column.id} align={column.align}>
                                  {column.format && typeof value === 'number' ? column.format(value) : value}
                                </TableCell>
                              );
                            })}
                          </TableRow>
                        );
                      })}
                    </TableBody>
                  </Table>
                </TableContainer>
                <Alert severity="info" className="mt-8 mb-8">
                  لطفا قبل از ارسال از کافی بدون اعتبار خود اطمینان حاصل نمایید.
                </Alert>
                <TableFooter>
                  <TableRow>
                    <Pagination count={10} showFirstButton showLastButton />
                  </TableRow>
                </TableFooter>


              </FuseAnimateGroup>
            </List>
          </DialogContent>
          <div className="flex-wrap flex-row ">
            <Button
              size="small"
              type="submit"
              color="primary"
              variant="contained"
              className="mt-8 mb-16 mx-4"
              onClick={handleCloseDialog}
            >
              انصراف
            </Button>
          </div>
        </div>
      </Dialog>
    </>
  );
}

MessageTemplatesModal.propTypes = {
  onSelect: PropTypes.func.isRequired,
};

export default MessageTemplatesModal;
