import { useState } from 'react';
import PropTypes from 'prop-types';
import { useTimeout } from '@fuse/hooks';
import CircularProgress from '@material-ui/core/CircularProgress';

function Spinner(props) {
  const [showLoading, setShowLoading] = useState(!props.delay);

  useTimeout(() => {
    setShowLoading(true);
  }, props.delay);

  if (!showLoading) {
    return null;
  }

  return (
    <div className="absolute top-0 left-0 right-0 bottom-0 z-50 pointer-events-none">
      <div className="w-full absolute top-1/2 -translate-y-1/2">
        <div
          // className="relative w-full min-h-128 h-128"
          className="relative w-full"
        >
          <div className="flex flex-1 flex-col items-center justify-center p-12">
            <CircularProgress color="secondary" />
          </div>
        </div>
      </div>
    </div>
  );
}

Spinner.propTypes = {
  delay: PropTypes.oneOfType([PropTypes.number, PropTypes.bool]),
};

Spinner.defaultProps = {
  delay: false,
};

export default Spinner;
