import { forwardRef, useRef, useEffect } from "react";
import Checkbox from "@material-ui/core/Checkbox";

const TableCheckbox = forwardRef(({ indeterminate, ...rest }, ref) => {
  const defaultRef = useRef();
  const resolvedRef = ref || defaultRef;

  useEffect(() => {
    resolvedRef.current.indeterminate = indeterminate;
  }, [resolvedRef, indeterminate]);

  return <Checkbox ref={resolvedRef} {...rest} />;
});

TableCheckbox.propTypes = {};

export default TableCheckbox;
