import i18next from 'i18next';
import ar from './navigation-i18n/ar';
import en from './navigation-i18n/en';
import fa from './navigation-i18n/fa';
import ru from './navigation-i18n/ru';

i18next.addResourceBundle('en', 'navigation', en);
i18next.addResourceBundle('fa', 'navigation', fa);
i18next.addResourceBundle('ar', 'navigation', ar);
i18next.addResourceBundle('ru', 'navigation', ru);

const navigationConfig = [
  {
    id: "applications",
    title: "",
    type: "group",
    // icon: "apps",
    hidden: true,
    children: [
      {
        id: "analytics-dashboard",
        title: "داشبورد",
        type: "item",
        icon: "portfoman",
        portfomanIcon: 'portfoHome',
        url: "/dashboard",
      },
      {
        id: "analytics-dashboard",
        title: "سبدبان",
        type: "item",
        icon: "portfoman",
        portfomanIcon: 'portfoBasket',
        url: "/apps/basket",
      }, {
        id: "analytics-dashboard",
        title: "معاملات",
        type: "item",
        icon: "portfoman",
        portfomanIcon: 'portfoTrade',
        url: "/apps/trades",
      }, {
        id: "analytics-dashboard",
        title: "گزارشات",
        type: "item",
        icon: "portfoman",
        portfomanIcon: 'portfoReport',
        url: "/apps/reports",
      }, {
        id: "analytics-dashboard",
        title: "تقویم معاملاتی",
        type: "item",
        icon: "portfoman",
        portfomanIcon: 'portfoCalendar',
        url: "/apps/tradeCalender",
      }, {
        id: "analytics-dashboard",
        title: "دفترچه یادداشت",
        type: "item",
        icon: "portfoman",
        portfomanIcon: 'portfoPhonebook',
        url: "/apps/notebook ",
      }, {
        id: "analytics-dashboard",
        title: "کتاب معاملات",
        type: "item",
        icon: "portfoman",
        portfomanIcon: 'portfoTradebook',
        url: "/apps/tradesBook",
      }, {
        id: "analytics-dashboard",
        title: "یادآور",
        type: "item",
        icon: "portfoman",
        portfomanIcon: 'portfoReminder',
        url: "/apps/reminder",
      }, {
        id: "applications",
        title: "تنظیمات سیستمی",
        type: "group",
        // icon: "apps",
        hidden: true,
        children: [{
          id: "contacts",
          title: "Infra Setting * ",
          type: "collapse",
          icon: "portfoman",
          portfomanIcon: 'portfoSetting',
          // exact: true,
          children: [
            {
              id: 'sysroleManager',
              title: 'SysroleManager',
              type: 'item',
              icon: 'supervised_user_circle',
              url: '/apps/users/managment',
            },
            {
              id: 'userManager',
              title: 'UserManager',
              translate: 'ROLES_AND_PERMISSIONS',
              type: 'item',
              icon: 'security',
              url: '/apps/settings/roles',
            },
            {
              id: "user-list",
              title: "App Setting",
              type: "item",
              url: "/users",
            },
          ],
        },
        ]
      },
      {
        id: "contacts",
        title: "تنظیمات کاربری",
        type: "collapse",
        icon: "people",
        // exact: true,
        children: [
          {
            id: "profile",
            title: "  پروفایل کاربری",
            type: "item",
            url: "/pages/profile",
          },
          {
            id: "Notice",
            title: "  اعلان ها و فوروارد ها  ",
            type: "item",
            url: "/apps/Notice",
          },
          {
            id: "Draft",
            title: "  متون پیش نویس  ",
            type: "item",
            url: "/apps/Draft",
          },
        ],
      },
      // {
      //   id: "contacts",
      //   title: "پکیج و تعرفه ها",
      //   type: "collapse",
      //   icon: "people",
      //    exact: false,
      //   children: [
      //     {
      //       id: "ServicesLineList",
      //       title: "پکیج و تعرفه پیش فرض",
      //       type: "item",
      //       url: "/apps/ServicesLineList",
      //     }, {
      //       id: "LineList",
      //       title: "پکیج ها  ",
      //       type: "item",
      //       url: "/apps/name",
      //     },
      //   ],
      // },
      {
        id: "accounting",
        title: "مدیریت مالی",
        type: "collapse",
        icon: "account_balance",
        children: [
          {
            id: "Transaction",
            title: "تراکنش های حساب",
            type: "item",
            url: "/apps/Transaction",
          }, {
            id: "PaymentList",
            title: " لیست پرداخت ها",
            type: "item",
            url: "/apps/PaymentList",
          }, {
            id: "PaymentOnline",
            title: "شارژ کیف پول",
            type: "item",
            url: "/apps/PaymentOnline",
          }, {
            id: "GatewayMethod",
            title: " درگاه های بانکی",
            type: "item",
            url: "/apps/GatewayMethod",
          },
        ],
      }, {
        id: "contacts",
        title: "مانیتورینگ",
        type: "collapse",
        icon: "people",
        // exact: true,
        children: [
          {
            id: "user-list",
            title: "Gods View  ",
            type: "item",
            url: "/users",
          },
        ],
      },
      {
        id: "contacts",
        title: "توسعه دهندگان",
        type: "collapse",
        icon: "people",
        // exact: true,
        children: [
          {
            id: "Development",
            title: "توسعه دهندگان",
            type: "item",
            url: "/apps/Development",
          },
        ],
      }, {
        id: "ticketing",
        title: "پشتیبانی",
        type: "item",
        icon: "ticketing",
        url: "/ticketing",
      },
      //----------------------------------------------cms  --------------
      {
        id: 'cms', title: 'cms', translate: 'CMS_MAIN_MENU', type: 'collapse', icon: 'local_car_wash',
        children: [
          {
            id: 'cms-index', title: 'All cms List', translate: 'CMS', type: 'item', icon: 'menu_book', url: '/apps/e-cms/postlist', exact: false,
          },
          {
            id: 'CMS-category-list',
            title: 'Category List',
            translate: 'CMS_CATEGORY_LIST',
            type: 'item',
            icon: 'corporate_fare',
            url: '/apps/e-cms/category/labels',
          },
          {
            id: 'collections', title: 'collections', translate: 'COLLECTIONS', type: 'item', icon: 'menu_book', url: '/apps/e-cms/collections', exact: false,
          },
        ]
      },



    ],
  },
];

export default navigationConfig;
