import { Redirect } from 'react-router-dom';
import FuseUtils from '@fuse/utils';

import LoginConfig from 'app/pages/login/LoginConfig';
import ProfilePageConfig from 'app/pages/profile/ProfilePageConfig';
import DashboardConfig from 'app/pages/dashboard/DashboardConfig';
import MessagesConfig from 'app/pages/messages/MessagesConfig';
import ReportsConfig from 'app/pages/reports/ReportsConfig';

import ContactsConfig from 'app/pages/contacts/ContactsConfig';

import SettingsConfig from 'app/pages/settings/SettingsConfig';
import AuthenticationConfig from 'app/pages/Authentication/AuthenticationConfig';

import ECmsConfig from 'app/pages/e-cms/ECmsConfig'; 
import StatusCmsConfig from 'app/pages/e-cms/status/StatusConfig';
import CategoriesCmsAppConfig from 'app/pages/e-cms/categories/CategoriesAppConfig';
import PropertiesCmsConfig from 'app/pages/e-cms/properties/PropertiesConfig';



import EReportsConfig from 'app/pages/e-reports/EReportsConfig';
import Error404Page from 'app/pages/errors/404/Error404Page';


const routeConfigs = [
  LoginConfig, ProfilePageConfig,
  DashboardConfig, SettingsConfig,
  MessagesConfig, ReportsConfig, AuthenticationConfig,
  ContactsConfig,
  ECmsConfig , StatusCmsConfig , CategoriesCmsAppConfig, PropertiesCmsConfig , 
 
  EReportsConfig,

];

const routes = [
  ...FuseUtils.generateRoutesFromConfigs(routeConfigs, ['admin', 'superadmin', 'user']),
  {
    path: '/',
    exact: true,
    component: () => <Redirect to="/dashboard" />,
  },
  {
    path: '*',
   // component: Error404Page,
     component: () => <Redirect to="/login" />,
  },
];

export default routes;
