import AppBar from '@material-ui/core/AppBar';
import { makeStyles, ThemeProvider } from '@material-ui/core/styles';
import Toolbar from '@material-ui/core/Toolbar';
import Typography from '@material-ui/core/Typography';
import { memo } from 'react';
import { useSelector } from 'react-redux';
import { selectToolbarTheme } from 'app/store/fuse/settingsSlice';


const useStyles = makeStyles((theme) => ({
  root: {},
  loginstyle: {
    '& > *': {
      margin: theme.spacing(1),
    },
  },
}));

function FooterLayout1(props) {
  const toolbarTheme = useSelector(selectToolbarTheme);
  const classes = useStyles(props);
  const user = useSelector(({ auth }) => auth.user);

  return (
    <ThemeProvider theme={toolbarTheme}>
      {!user.role || user.role.length === 0 && (
        <>
          <AppBar
            id="fuse-footer"
            className="relative z-10"
            color="default"
            style={{ backgroundColor: toolbarTheme.palette.background.paper }}
            elevation={2}
          >
            <Toolbar className="min-h-48 md:min-h-64 px-8 sm:px-12 py-0 flex items-center overflow-x-auto">
              <div className={classes.loginstyle, "flex flex-1 justify-center "}>
                <Typography> © PORTFOMAN / All rights reserved. تمامی حقوق محفوظ و متعلق به پورتفومن می باشد. </Typography>
              </div>
            </Toolbar>
          </AppBar>
        </>
      )}
    </ThemeProvider>
  );
}

export default memo(FooterLayout1);
