import AppBar from '@material-ui/core/AppBar';
import Avatar from '@material-ui/core/Avatar';
import { makeStyles } from '@material-ui/core/styles';
import Typography from '@material-ui/core/Typography';
import clsx from 'clsx';
import { useSelector } from 'react-redux';
import Box from '@material-ui/core/Box';

const useStyles = makeStyles((theme) => ({
  root: {
    
    padding:8,
    '&.user': {
      '& .username, & .email': {
        transition: theme.transitions.create('opacity', {
          duration: theme.transitions.duration.shortest,
          easing: theme.transitions.easing.easeInOut,
        }),
      },
    },
  },
  avatar: {
    width: 35,
    height: 35,
    position: 'absolute',
    top: 8,
      padding: 8,
    //  background:"White",
    boxSizing: 'content-box',
    left: '12%',
    transform: 'translateX(-50%)',
    transition: theme.transitions.create('all', {
      duration: theme.transitions.duration.shortest,
      easing: theme.transitions.easing.easeInOut,
    }),
    '& > img': {
      borderRadius: '50%',
    },
  },
  box:{
    background:"#1fd286",
  }
}));

function UserNavbarHeader(props) {
  const user = useSelector(({ auth }) => auth.user);
	const formatter = new Intl.NumberFormat('fa-IR', {
		style: 'currency',
		currency: 'IRR',
		minimumFractionDigits: 0
	});
  const classes = useStyles();

  return (
    <AppBar
      position="static"
      color="inherit"
      elevation={0}
      classes={{ root: classes.root }}
      className="user  relative flex flex-col items-center justify-center mt-24 "
    >
      <Box className={clsx('w-full  shodow-1   rounded-md p-20', classes.box)}  >
        <Typography
          className="username text-white text-14   items-right whitespace-no-wrap"
        >
         ارزش کل سبد ها {/* {user.data.displayName} */}
        </Typography>
        <Typography
          className="email text-left text-white text-13  items-left mt-8   whitespace-no-wrap"
          color="inherit"
        >
          	{formatter.format(user.data.credit+100 ? user.data.credit : 0)}  {}
        </Typography>
        {/* <Avatar
          className={clsx(classes.avatar, 'avatar')}
          alt="user photo"
          src={
            user.data.photoURL && user.data.photoURL !== ''
              ? user.data.photoURL
              : `${process.env.PUBLIC_URL}/assets/images/avatars/profile.jpg`
          }
        /> */}
      </Box>
    </AppBar>
  );
}

export default UserNavbarHeader;
