import Icon from '@material-ui/core/Icon';
import { useDispatch } from 'react-redux';
import { toggleChatPanel } from './store/stateSlice';
import IconButton from '@material-ui/core/IconButton';

const ChatPanelToggleButton = (props) => {
  const dispatch = useDispatch();

  return (
    <IconButton
      className="w-40 h-40"
      onClick={(ev) => dispatch(toggleChatPanel())}
    >
      {props.children}
    </IconButton>
  );
};

ChatPanelToggleButton.defaultProps = {
  children: <Icon>chat</Icon>,
};

export default ChatPanelToggleButton;
