import React from "react";
import en from './i18n/en';
import ar from './i18n/ar';
import fa from './i18n/fa';
import i18next from 'i18next';

i18next.addResourceBundle('en', 'Authentication', en);
i18next.addResourceBundle('ar', 'Authentication', ar);
i18next.addResourceBundle('fa', 'Authentication', fa);
const AuthenticationConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: "/apps/Authentication",
      component: React.lazy(() => import("./AuthenticationNav")),
    },{
      path: '/apps/Authentication/SelectPackage',
      component: React.lazy(() => import('./AuthenticationNav')),
      exact: true,
    },
  ],
};

export default AuthenticationConfig;
