import React, { useState } from "react";
// import PropTypes from "prop-types";
import Tab from "@material-ui/core/Tab";
import Tabs from "@material-ui/core/Tabs";
import FuseAnimate from "@fuse/core/FuseAnimate";
import Typography from "@material-ui/core/Typography";
import FusePageCarded from "@fuse/core/FusePageCarded";
import { makeStyles } from '@material-ui/core/styles';

import BottomNavigation from '@material-ui/core/BottomNavigation';
import BottomNavigationAction from '@material-ui/core/BottomNavigationAction';
import RestoreIcon from '@material-ui/icons/Restore';
import FavoriteIcon from '@material-ui/icons/Favorite';
import LocationOnIcon from '@material-ui/icons/LocationOn';

import StartAuth from "../components/StartAuth";
import SelectPackage from "../components/SelectPackage"; 
import CompleteProfile from  "../components/CompleteProfile";
import UploadDoc from  "../components/UploadDoc";
import Done from  "../components/Done";


import AppBar from '@material-ui/core/AppBar';

import Icon from '@material-ui/core/Icon';
import {
  BrowserRouter as Router,
  Switch,
  Route,
  Link,
  useParams , useLocation
} from "react-router-dom";
const useStyles = makeStyles({
  root: {
    width: 500,
  },
  state1: {
    backgroundImage: "url('/assets/images/sbsms/auth/1.png')",
    width: 100,
    height: 100,
    backgroundSize: "100px 100px",
  },
  state2: {
    backgroundImage: "url('/assets/images/sbsms/auth/2.png')",
    width: 100,
    height: 100,
    backgroundSize: "100px 100px",
  },
  state3: {
    backgroundImage: "url('/assets/images/sbsms/auth/3.png')",
    width: 100,
    height: 100,
    backgroundSize: "100px 100px",
  },
  state4: {
    backgroundImage: "url('/assets/images/sbsms/auth/4.png')",
    width: 100,
    height: 100,
    backgroundSize: "100px 100px",
  },
  state5: {
    backgroundImage: "url('/assets/images/sbsms/auth/5.png')",
    width: 100,
    height: 100,
    backgroundSize: "100px 100px",
  }
});
const AuthenticationNav = (props) => {


  const classes = useStyles();
  let [value, setValue] = useState(0);
  const location = useLocation();
  const url=location.pathname;
  // switch (url) {
  //   case '/apps/Authentication/SelectPackage': {
  //     return value=1;
  //   }
  //   case '/apps/Authentication/StartAuth': {
  //     return value=0;
  //   }
  // }

  return (
    <FusePageCarded
      classes={{
        toolbar: "p-0   ",
        header: "min-h-36 h-36 sm:h-72 sm:min-h-72",
      }}
      header={
        <div className="flex items-center pr-24 pl-24">
          <FuseAnimate animation="transition.expandIn" delay={300}>
            <Icon className="text-32">portrait</Icon>
          </FuseAnimate>
          <FuseAnimate animation="transition.slideLeftIn" delay={300}>
            <Typography className="text-16 sm:text-18 pr-8 pl-8">احراز هویت   </Typography>
          </FuseAnimate>
          <Typography className="text-16 sm:text-18 pr-8 pl-8"> {url} {value} </Typography>
        
          

        </div>
      }
      contentToolbar={
        <Tabs
          indicatorColor="primary"
          textColor="primary"
          variant="scrollable"
          scrollButtons="auto"
          classes={{ root: "w-full h-56" }}
        >
          <Tab className="h-64 normal-case text-black" label="فرایند احراز هویت ">  </Tab>
          
        </Tabs >
      }
      content={
        < div className="p-16 sm:p-24" >
          <BottomNavigation
            value={value}
            onChange={(event, newValue) => { setValue(newValue);       }}
            showLabels            
            className="flex  h-136  w-full flex-row justify-between rounded"
          >
            <BottomNavigationAction label="عدم دسترسی" icon={<a className={classes.state1} />}
              component={Link} to="/apps/Authentication/StartAuth" />
            <BottomNavigationAction label="انتخاب پکیج" icon={<a className={classes.state2} />}
              component={Link} to="/apps/Authentication/SelectPackage" />
            <BottomNavigationAction label="تکمیل پروفایل کاربری" icon={<a className={classes.state3} />}
              component={Link} to="/apps/Authentication/CompleteProfile" />
            <BottomNavigationAction label="آپلود مدارک شناسایی" icon={<a className={classes.state4} />}
              component={Link} to="/apps/Authentication/UploadDoc" />
            <BottomNavigationAction label="تکمیل فرایند" icon={<a className={classes.state5} />}
              component={Link} to="/apps/Authentication/Done" />

          </BottomNavigation>

            
          {value === 0    &&  <StartAuth />}
          {value === 1    &&  <SelectPackage />}
          {value === 2    &&  <CompleteProfile />}
          {value === 3    &&  <UploadDoc />}
          {value === 4    &&  <Done />}
        </div >
      }
    />

  );
};

  AuthenticationNav.propTypes = {};

export default AuthenticationNav;
