import React, { useState } from "react";
import Button from "@material-ui/core/Button";

import { makeStyles } from '@material-ui/core/styles';
import Alert from '@material-ui/lab/Alert';
import Typography from '@material-ui/core/Typography';
 

import {  Link, } from "react-router-dom";

const useStyles = makeStyles((theme) => ({
  root: {
    width: '100%',
    '& > * + *': {
      marginTop: theme.spacing(2),
    },
  },
}));


const StartAuth = () => {

  const classes = useStyles();  
 

  return (
    <div className="flex flex-wrap pt-56">
      <form className="flex flex-wrap justify-between w-full"  >
        <div className={classes.root}>
          <Alert variant="outlined" severity="error">
            <Typography color="red" variant="h6" gutterBottom>
              عدم دسترسی
            </Typography>
            کاربر گرامی 
            <br/> پروفایل کاربری و مدارک احراز هویت شما کامل نیست
            
            <br/>جهت فعال شدن دسترسی پنل و امکانات لطفا ً فرایند ثبت نام را تکمیل نمایید . این کار کمتر از ۵ دقیقه وقت شمارا خواهد گرفت.

          </Alert>
        </div>  


        <div className="flex w-full mt-32 mb-8 justify-center ">
          <Button 
            type="submit"
            className="mx-8"
            color="secondary"
            variant="contained"
            component={Link} to="/apps/Authentication/SelectPackage"   
          >
            شروع فرایند ثبت نام
          </Button>
          
        </div>
      </form>


    </div>
  );
};


export default StartAuth;
