import { lazy } from 'react';
import en from './i18n/en';
import ar from './i18n/ar';
import fa from './i18n/fa';
import i18next from 'i18next';

i18next.addResourceBundle('en', 'contacts', en);
i18next.addResourceBundle('ar', 'contacts', ar);
i18next.addResourceBundle('fa', 'contacts', fa);
const ContactsConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: "/apps/contactGroup",
      exact: true,
      component: lazy(() => import("./ContactsGroup")),
    }, 
    {
      path: "/apps/contact",
      exact: true,
      component: lazy(() => import("./Contacts")),
    },
  ],
};

export default ContactsConfig;
