import axios from 'axios';
import { usePaginatedQuery } from 'react-query';

export default function useContactsGroup({
  page,
  search,
  sortBy,
  perPage,
  sortDir,
}) {
  return usePaginatedQuery(
    ['contactgroup', page, perPage, search, sortBy, sortDir],
    async (_, page, perPage, search, sortBy, sortDir) => {
      const skip = perPage * page - perPage;

      const response = await axios.get(`/api/contactGroup-app/contactgroup`, {
        params: {
          limit: perPage ? perPage:1000,
          skip:skip ? skip:0,
          search: search ? search : null,
          sortBy: sortBy ? sortBy : null,
          sortDir: sortBy ? sortDir : null,
        },
      });

      const { count, contactgroup } = response.data;
      return {
        count,
        contactgroup,
        pageCount: Math.ceil(count / perPage),
      };
    }
  );
}
