import axios from 'axios';
import { queryCache } from 'app/App';
import { useMutation } from 'react-query';

export default function useDeleteNormalMsgReport() {
  return useMutation(
    (productIds) => {
      return axios.delete('/api/sendmsg-app/posts/remove', {
        data: { idList: productIds },
      });
    },
    {
      onError: (error, variables, rollback) => {
        rollback && rollback();
      },
      onSuccess: () => {
        queryCache.invalidateQueries('products');
      },
    }
  );
}
