import axios from 'axios';
import { usePaginatedQuery } from 'react-query';

export default function useContactsGroup({
  page,
  search,
  sortBy,
  perPage,
  sortDir,
}) {
  return usePaginatedQuery(
    ['normal-posts', page, perPage, search, sortBy, sortDir],
    async (_, page, perPage, search, sortBy, sortDir) => {
      const skip = perPage * page - perPage;

      const response = await axios.get(`/api/Reportnormal-app/normal-posts`, {
        params: {
          limit: perPage,
          skip,
          search: search ? search : null,
          sortBy: sortBy ? sortBy : null,
          sortDir: sortBy ? sortDir : null,
        },
      });

      const { count, products } = response.data;
      return {
        count,
        products,
        pageCount: Math.ceil(count / perPage),
      };
    }
  );
}
