import { queryCache } from 'app/App';
import axios from 'axios';
import { useMutation } from 'react-query';

export default function useSaveRole() {
  return useMutation(
    (role) =>
      axios.put('/api/contactGroup-app/save-contact', { role }).then(() => {
        return { data: 'success' };
      }),
    {
      onSuccess: (data, variables) => {
        console.log('onSuccess', data, variables);
        queryCache.invalidateQueries('roles');
      },
    }
  );
}
