
import FuseAnimate from '@fuse/core/FuseAnimate';

import withReducer from 'app/store/withReducer';
import _ from '@lodash';
import reducer from './store';

import Typography from '@material-ui/core/Typography';
import Widget1 from './widgets/Widget1';
import Widget2 from './widgets/Widget2';
import Widget3 from './widgets/Widget3';
import Widget4 from './widgets/Widget4';
import Widget5 from './widgets/Widget5';
import Widget6 from './widgets/Widget6';
import Widget7 from './widgets/Widget7';
import Widget8 from './widgets/Widget8';
import WidgetStockIndex from './widgets/WidgetStockIndex';

import { useDispatch, useSelector } from 'react-redux';
import { selectWidgetsEntities, getWidgets } from './store/widgetsSlice';


import { useForm, Controller } from "react-hook-form";
import FuseChipSelect from "@fuse/core/FuseChipSelect";
import Button from '@material-ui/core/Button';

const groupsData = [
  "سبد",
  "معامله",
].map((item) => ({
  value: item,
  label: item,
}));


function Dashboard() {
  const dashboardData = {};
  const { control } = useForm({})
  const widgets = useSelector(selectWidgetsEntities);
  // TODO: return null or spinner if data is fetching
  if (!dashboardData) {
    return null;
  }



  return (
    <div className="w-full">


      <FuseAnimate animation="transition.slideUpIn" delay={200}>
        <div className="flex flex-col md:flex-row sm:p-8 container mt-80 ">

          <div className="flex flex-wrap w-full md:w-320 pt-2">
            <div className="mb-32 w-full sm:w-1/2 md:w-full">
              <FuseAnimate delay={600}>
                <Button className="bg-blue-400 text-white mr-24 " variant="contained" size="medium">
                  اشتراک گزاری کارنامه
                </Button>
              </FuseAnimate>

              <div className="widget w-full p-16">
                <Widget7 data={widgets.widget7} />
              </div>
            </div>

            <div className="mb-32 w-full sm:w-1/2 md:w-full">
             
              <div className="widget w-full p-16">
                <WidgetStockIndex   />
              </div>
            </div>

          </div>


          <div className="flex flex-1 flex-col min-w-0">
            <FuseAnimate delay={600}>
            <div className="flex flex-row justify-end">
              <Controller
                name="groups"
                className="bg-white w-1/12 ml-12      "
                control={control}
                as={FuseChipSelect}
                options={groupsData}
                placeholder="سبد "
                textFieldProps={{
                  InputLabelProps: {
                    shrink: true,
                  },
                  variant: "outlined",
                }}
              />
               </div>
            </FuseAnimate>

            <div className="widget w-full p-10 pb-32">
              <Widget5 data={widgets.widget5} />
            </div>

            <FuseAnimate delay={600}>
              <Typography className="p-16 pb-8 text-18 font-300">
               نمودار سود و زیان
              </Typography>
            </FuseAnimate>

            <div className="flex flex-col sm:flex sm:flex-row pb-32">
              <div className="widget flex w-full sm:w-1/5 p-16">
                <Widget2 data={widgets.widget2} />
              </div>

              <div className="widget flex w-full sm:w-1/5 p-16">
                <Widget3 data={widgets.widget3} />
              </div>

              <div className="widget w-full sm:w-1/5 p-16">
                <Widget4 data={widgets.widget4} />
              </div>
            </div>



          </div>


        </div>
      </FuseAnimate>
    </div>
  );
}
export default withReducer('dashboard', reducer)(Dashboard);

