import clsx from "clsx";
// import PropTypes from "prop-types";
import Card from "@material-ui/core/Card";
import Button from "@material-ui/core/Button";
import Typography from "@material-ui/core/Typography";
import CardContent from "@material-ui/core/CardContent";
import { makeStyles, lighten, darken } from "@material-ui/core/styles";

const useStyles = makeStyles((theme) => ({
  alert: {
    borderRadius: theme.shape.borderRadius,
    padding: "8px 16px",
    marginBottom: "12px",
  },
  alertSuccess: {
    color: darken(theme.palette.success.main, 0.6),
    backgroundColor: lighten(theme.palette.success.main, 0.9),
  },
  alertError: {
    color: darken(theme.palette.error.main, 0.6),
    backgroundColor: lighten(theme.palette.error.main, 0.9),
  },
  alertWarning: {
    color: darken(theme.palette.warning.main, 0.6),
    backgroundColor: lighten(theme.palette.warning.main, 0.9),
  },
  alertTitle: {
    fontWeight: theme.typography.fontWeightMedium,
  },
}));

const Declarations = (props) => {
  const classes = useStyles();

  return (
    <Card className="w-full rounded-4 shadow-1">
      <div className="flex items-center px-16 py-12 border-b-1">
        <Typography className="text-16">  new notification</Typography>
      </div>
      <CardContent>
        <div className={clsx(classes.alert, classes.alertSuccess)}>
          <Typography
            gutterBottom
            component="div"
            className={clsx(classes.alertTitle)}
          >
            update your profile
          </Typography>
          <div className="flex justify-between w-full">
            <div className="truncate pl-10">
                please update your profile and add your address ,phone number 
            </div>
            <div className="text-center">
              <div>2020/08/12</div>
              <div>12:20:05</div>
            </div>
          </div>
        </div>
        <div className={clsx(classes.alert, classes.alertError)}>
          <Typography
            gutterBottom
            component="div"
            className={clsx(classes.alertTitle)}
          >
        home care
          </Typography>
          <div className="flex justify-between w-full">
            <div className="truncate pl-10">
             home care , new service with best 
            </div>
            <div className="text-center">
               <div>2020/12/11</div>
              <div>18:12:36</div>
            </div>
          </div>
        </div>
        <div className={clsx(classes.alert, classes.alertWarning)}>
          <Typography
            gutterBottom
            component="div"
            className={clsx(classes.alertTitle)}
          >
         new service 
          </Typography>
          <div className="flex justify-between w-full">
            <div className="truncate pl-10">
           carwash , safe and urgent 
            </div>
            <div className="text-center">
              <div>2020/12/11</div>
              <div>18:12:36</div>
            </div>
          </div>
        </div>

        <div className="flex justify-end">
          <Button size="small" color="primary" variant="contained">
         view all notification
          </Button>
        </div>
      </CardContent>
    </Card>
  );
};

Declarations.propTypes = {};

export default Declarations;
