import Paper from "@material-ui/core/Paper";
import Table from "@material-ui/core/Table";
import TableRow from "@material-ui/core/TableRow";
import { toPersianDigits } from "app/utils/string";
import TableBody from "@material-ui/core/TableBody";
import TableCell from "@material-ui/core/TableCell";
import TableHead from "@material-ui/core/TableHead";
import Typography from "@material-ui/core/Typography";

const RefundedMessagesTable = (props) => {
  const columns = [
    { id: 1, title: "تعداد پیامک" },
    { id: 2, title: "تعداد صفحه/پارت" },
    { id: 3, title: "شماره ارسال" },
    { id: 4, title: "نوع ارسال" },
    { id: 5, title: "مبلغ برگشتی" },
    { id: 6, title: "تاریخ" },
    { id: 7, title: "ساعت" },
  ];

  const rows = [
    {
      id: 1,
      messageCount: 1750,
      pageCount: 1,
      postNumber: "43154796",
      postType: "تبلیغاتی",
      returnAmount: "210000",
      postDate: "1396/11/01",
      postTime: "08:00:00",
    },
    {
      id: 2,
      messageCount: 1750,
      pageCount: 1,
      postNumber: "43154796",
      postType: "تبلیغاتی",
      returnAmount: "210000",
      postDate: "1396/11/01",
      postTime: "08:00:00",
    },
    {
      id: 3,
      messageCount: 1750,
      pageCount: 1,
      postNumber: "43154796",
      postType: "تبلیغاتی",
      returnAmount: "210000",
      postDate: "1396/11/01",
      postTime: "08:00:00",
    },
    {
      id: 4,
      messageCount: 1750,
      pageCount: 1,
      postNumber: "43154796",
      postType: "تبلیغاتی",
      returnAmount: "210000",
      postDate: "1396/11/01",
      postTime: "08:00:00",
    },
    {
      id: 5,
      messageCount: 1750,
      pageCount: 1,
      postNumber: "43154796",
      postType: "تبلیغاتی",
      returnAmount: "210000",
      postDate: "1396/11/01",
      postTime: "08:00:00",
    },
    {
      id: 6,
      messageCount: 1750,
      pageCount: 1,
      postNumber: "43154796",
      postType: "تبلیغاتی",
      returnAmount: "210000",
      postDate: "1396/11/01",
      postTime: "08:00:00",
    },
    {
      id: 7,
      messageCount: 1750,
      pageCount: 1,
      postNumber: "43154796",
      postType: "تبلیغاتی",
      returnAmount: "210000",
      postDate: "1396/11/01",
      postTime: "08:00:00",
    },
    {
      id: 8,
      messageCount: 1750,
      pageCount: 1,
      postNumber: "43154796",
      postType: "تبلیغاتی",
      returnAmount: "210000",
      postDate: "1396/11/01",
      postTime: "08:00:00",
    },
  ];

  return (
    <Paper className="w-full rounded-8 shadow-1 pb-32">
      <div className="flex items-center justify-between px-16 h-64 border-b-1">
        <Typography className="text-16">آخرین شارژهای برگشتی پیامک</Typography>
      </div>
      <div className="table-responsive">
        <Table className="w-full min-w-full">
          <TableHead>
            <TableRow>
              {columns.map((column) => (
                <TableCell
                  key={column.id}
                  className="whitespace-no-wrap"
                  align="center"
                >
                  {column.title}
                </TableCell>
              ))}
            </TableRow>
          </TableHead>
          <TableBody>
            {rows.map((row) => (
              <TableRow key={row.id} className="odd:bg-gray-50">
                <TableCell align="center">
                  {toPersianDigits(row.messageCount)}
                </TableCell>
                <TableCell align="center">
                  {toPersianDigits(row.pageCount)}
                </TableCell>
                <TableCell align="center">
                  {toPersianDigits(row.postNumber)}
                </TableCell>
                <TableCell align="center">
                  {toPersianDigits(row.postType)}
                </TableCell>
                <TableCell align="center">
                  {toPersianDigits(row.returnAmount)}
                </TableCell>
                <TableCell align="center">
                  {toPersianDigits(row.postDate)}
                </TableCell>
                <TableCell align="center">
                  {toPersianDigits(row.postTime)}
                </TableCell>
              </TableRow>
            ))}
          </TableBody>
        </Table>
      </div>
    </Paper>
  );
};

RefundedMessagesTable.propTypes = {};

export default RefundedMessagesTable;
