import { Bar } from "react-chartjs-2";
import Card from "@material-ui/core/Card";
import Typography from "@material-ui/core/Typography";
import CardContent from "@material-ui/core/CardContent";

const SentMessagesChart = (props) => {
  return (
    <Card className="w-full rounded-4 shadow-1">
      <div className="p-24 flex items-center">
        <Typography className="h3 sm:h2">All services and orders</Typography>
      </div>
      <CardContent>
        <Bar
          data={{
            labels: ["complated", " cancel  ", "regect"],
            datasets: [
              {
                data: [100, 60, 40],
                backgroundColor: ["#3366FF", "#75C623", "#09D9F4"],
                barPercentage: 0.4,
              },
            ],
          }}
          options={{
            cutoutPercentage: 66,
            spanGaps: false,
            legend: {
              display: false,
            },
            scales: {
              xAxes: [
                {
                  ticks: {
                    fontFamily:
                      "IRANSans, Roboto, Helvetica Neue, Arial, sans-serif",
                  },
                },
              ],
              yAxes: [
                {
                  ticks: {
                    suggestedMin: 0,
                    suggestedMax: 100,
                  },
                },
              ],
            },
            tooltips: {
              titleFontFamily:
                "IRANSans, Roboto, Helvetica Neue, Arial, sans-serif",
              bodyFontFamily:
                "IRANSans, Roboto, Helvetica Neue, Arial, sans-serif",
            },
            maintainAspectRatio: false,
          }}
          height={300}
        />
      </CardContent>
    </Card>
  );
};

SentMessagesChart.propTypes = {};

export default SentMessagesChart;
