import { lazy } from 'react';
import en from './i18n/en';
import ar from './i18n/ar';
import fa from './i18n/fa';
import i18next from 'i18next';

i18next.addResourceBundle('en', 'cms_translate', en);
i18next.addResourceBundle('ar', 'cms_translate', ar);
i18next.addResourceBundle('fa', 'cms_translate', fa);

const ECmsConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: '/apps/e-cms/postlist',
      component: lazy(() => import('./PostList')),
      exact: true,
    },
    {
      path: '/apps/e-cms/postlist/:postId',
      component: lazy(() => import('./Post')),
      exact: true,
    },
      {
      path: '/apps/e-cms/collections',
      component: lazy(() => import('./CollectionList')),
      exact: true,
    },
    {
      path: '/apps/e-cms/collections/:postId',
      component: lazy(() => import('./Collection')),
      exact: true,
    },
    {
      path: '/apps/e-cms/tree-category',
      component: lazy(() => import('./TreeCategory')),
      exact: true,
    },
  ],
};

export default ECmsConfig;
