import { lazy } from 'react';
import en from '../i18n/en';
import ar from '../i18n/ar';
import i18next from 'i18next';
import { Redirect } from 'react-router-dom';

i18next.addResourceBundle('en', 'categories', en);
i18next.addResourceBundle('ar', 'categories', ar);

const CategoriesAppConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: [
        '/apps/e-cms/categories/label/:labelHandle/:categoryId?',
        '/apps/e-cms/categories/filter/:filterHandle/:categoryId?',
        '/apps/e-cms/categories/:folderHandle/:categoryId?',
      ],
      component: lazy(() => import('./Categories')),
    },
    {
      path: '/apps/e-cms/categories',
      component: () => <Redirect to="/apps/e-cms/categories/all" />,
    },
    {
      path: '/apps/e-cms/category/labels/:filterHandle',
      component: lazy(() => import('./CategoryLabels')),
    },
    {
      path: '/apps/e-cms/category',
      component: () => <Redirect to="/apps/e-cms/category/labels/all" />,
    },
  ],
};

export default CategoriesAppConfig;
