import axios from 'axios';
import { useQuery } from 'react-query';

export const getCategoriesKey = ({
  labelHandle,
  filterHandle,
  folderHandle,
}) => ['categories', labelHandle, filterHandle, folderHandle];
 
export default function useCategories({
  labelHandle,
  filterHandle,
  folderHandle,
}) {
  const categoriesKey = getCategoriesKey({
    labelHandle,
    filterHandle,
    folderHandle,
  });
 
  return useQuery(categoriesKey, () =>
    axios
      .get('/api/cmsCategory-app/categories', {
        params: { labelHandle, filterHandle, folderHandle },
      }) 
      .then((res) => res.data)
  );
}
