import axios from 'axios';
import { useQuery } from 'react-query';

export default function useCategoryLabels() {
  return useQuery('categoryLabels', () =>
    axios.get('/api/cmsCategory-app/labels').then((res) => {
      const labels = res.data || [];

      return labels.map((label) => {
        if (label.cluster === undefined) {
          label.cluster = null;
        }
        return label;
      });
    })
  );
}
