import axios from 'axios';
import { queryCache } from 'app/App';
import { useMutation } from 'react-query';

export default function useDeletePostList() {
  return useMutation(
    (postIds) => {
      return axios.delete('/api/collections-app/postlist/remove', {
        data: { idList: postIds },
      });
    },
    {
      onError: (error, variables, rollback) => {
        rollback && rollback();
      },
      onSuccess: () => {
        queryCache.invalidateQueries('collections-app-postlist');
      },
    }
  );
}
