import { lazy } from 'react';
import en from '../i18n/en';
import ar from '../i18n/ar';
import i18next from 'i18next';
import { Redirect } from 'react-router-dom';

i18next.addResourceBundle('en', 'properties', en);
i18next.addResourceBundle('ar', 'properties', ar);

const PropertiesConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: [
        '/apps/e-cms/properties/label/:labelHandle/:propertyId?',
        '/apps/e-cms/properties/filter/:filterHandle/:propertyId?',
        '/apps/e-cms/properties/:folderHandle/:propertyId?',
      ],
      component: lazy(() => import('./Properties')),
    },
    {
      path: '/apps/e-cms/properties',
      component: () => <Redirect to="/apps/e-cms/properties/all" />,
    },
    {
      path: '/apps/e-cms/property/labels/:filterHandle',
      component: lazy(() => import('./PropertyLabels')),
    },
    {
      path: '/apps/e-cms/property',
      component: () => <Redirect to="/apps/e-cms/property/labels/all" />,
    },
  ],
};

export default PropertiesConfig;
