import axios from 'axios';
import { useQuery } from 'react-query';

export const getPropertiesKey = ({
  labelHandle,
  filterHandle,
  folderHandle,
}) => ['properties', labelHandle, filterHandle, folderHandle];

export default function useProperties({
  labelHandle,
  filterHandle,
  folderHandle,
}) {
  const propertiesKey = getPropertiesKey({
    labelHandle,
    filterHandle,
    folderHandle,
  });

  return useQuery(propertiesKey, () =>
    axios
      .get('/api/cmsProperty-app/properties', {
        params: { labelHandle, filterHandle, folderHandle },
      })
      .then((res) => {
        const properties = res.data;

        return properties.map((property) => {
          if (property.showType) {
            property.showType = {
              id: property.showType,
              title: property.showType,
            };
          } else {
            property.showType = null;
          }

          return property;
        });
      })
  );
}
