import PropTypes from 'prop-types';
import Icon from '@material-ui/core/Icon';
import FuseAnimate from '@fuse/core/FuseAnimate';

function StatusSidebarHeader({ t }) {
  return (
    <div className="flex flex-col justify-center min-h-72 h-72 sm:h-136 sm:min-h-136 p-24">
      <div className="flex items-center flex-1">
        <FuseAnimate animation="transition.expandIn" delay={300}>
          <Icon className="text-32">category</Icon>
        </FuseAnimate>
        <FuseAnimate animation="transition.slideLeftIn" delay={300}>
          <span className="text-24 mx-16">{t('CATEGORIES')}</span>
        </FuseAnimate>
      </div>
    </div>
  );
}

StatusSidebarHeader.propTypes = {
  t: PropTypes.func.isRequired,
};

export default StatusSidebarHeader;
