import { lazy } from 'react';
import en from '../i18n/en';
import ar from '../i18n/ar';
import i18next from 'i18next';
import { Redirect } from 'react-router-dom';

i18next.addResourceBundle('en', 'status', en);
i18next.addResourceBundle('ar', 'status', ar);

const StatusAppConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: [
        '/apps/e-cms/status/label/:labelHandle/:categoryId?',
        '/apps/e-cms/status/filter/:filterHandle/:categoryId?',
        '/apps/e-cms/status/:folderHandle/:categoryId?',
      ],
      component: lazy(() => import('./Status')),
    },
    {
      path: '/apps/e-cms/status',
      component: () => <Redirect to="/apps/e-cms/status/all" />,
    },
 
  ],
};

export default StatusAppConfig;
