import axios from 'axios';
import { queryCache } from 'app/App';
import { useMutation } from 'react-query';

export default function useDeleteCategoryLabel() {
  return useMutation(
    (id) => {
      // return Promise.resolve();
      return axios.delete('/api/cmsStatus-app/remove-category-label', {
        data: { categoryId: id },
      });
    },
    {
      onMutate: (id) => {
        queryCache.cancelQueries('categoryLabels');

        const previousCategoryLabels = queryCache.getQueryData(
          'categoryLabels'
        );

        queryCache.setQueryData(
          'categoryLabels',
          previousCategoryLabels.filter((label) => label.id !== id)
        );

        return () =>
          queryCache.setQueryData('categoryLabels', previousCategoryLabels);
      },
      onError: (err, variables, rollback) => rollback(),
      onSuccess: () => {
        queryCache.invalidateQueries('categoryLabels');
      },
    }
  );
}
