import axios from 'axios';
import { useQuery } from 'react-query';

export const getStatusKey = ({
  labelHandle,
  filterHandle,
  folderHandle,
}) => ['status', labelHandle, filterHandle, folderHandle];

export default function useStatus({
  labelHandle,
  filterHandle,
  folderHandle,
}) {
  const statusKey = getStatusKey({
    labelHandle,
    filterHandle,
    folderHandle,
  });

  return useQuery(statusKey, () =>
    axios
      .get('/api/cmsStatus-app/status', {
        params: { labelHandle, filterHandle, folderHandle },
      })
      .then((res) => res.data)
  );
}
