import { lazy } from 'react';
import en from './i18n/en';
import fa from './i18n/fa';
import i18next from 'i18next';

i18next.addResourceBundle('en', 'products', en);
i18next.addResourceBundle('fa', 'products', fa);

const ECommerceConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: '/apps/e-commerce/products',
      component: lazy(() => import('./Products')),
      exact: true,
    },
    {
      path: '/apps/e-commerce/products/:productId',
      component: lazy(() => import('./Product')),
      exact: true,
    },
    {
      path: '/apps/e-commerce/tree-category',
      component: lazy(() => import('./TreeCategory')),
      exact: true,
    },
  ],
};

export default ECommerceConfig;
