import axios from 'axios';
import { useMutation } from 'react-query';
import { queryCache } from 'app/App';

export default function useUpdateTreeCategories() {
  return useMutation(
    (treeData) =>
      axios
        .put(`api/tree-category-app/on-change-category`, { treeData })
        .then((res) => res.data),
    {
      onMutate: (treeData) => {
        queryCache.cancelQueries('treeCategories');

        const previousTreeData = queryCache.getQueryData('treeCategories');

        queryCache.setQueryData('treeCategories', treeData);
        return () =>
          queryCache.setQueryData('treeCategories', previousTreeData);
      },
      onError: (error, values, rollback) => rollback(),
      onSuccess: () => {
        queryCache.invalidateQueries('treeCategories');
      },
    }
  );
}
