import { lazy } from 'react';
import en from './i18n/en';
import fa from './i18n/fa';
import i18next from 'i18next';

i18next.addResourceBundle('en', 'postlist', en);
i18next.addResourceBundle('fa', 'postlist', fa);

const ELaundryConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: '/apps/e-laundry/postlist',
      component: lazy(() => import('./PostList')),
      exact: true,
    },
    {
      path: '/apps/e-laundry/postlist/:postId',
      component: lazy(() => import('./Post')),
      exact: true,
    },
    {
      path: '/apps/e-laundry/tree-category',
      component: lazy(() => import('./TreeCategory')),
      exact: true,
    },
  ],
};

export default ELaundryConfig;
