import { lazy } from 'react';
import en from './i18n/en';
import fa from './i18n/fa';
import i18next from 'i18next';

i18next.addResourceBundle('en', 'orders', en);
i18next.addResourceBundle('fa', 'orders', fa);

const ELaundryOrderConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: '/apps/e-laundry/orders',
      component: lazy(() => import('./OrderList')),
      exact: true,
    },
    {
      path: '/apps/e-laundry/orders/:postId',
      component: lazy(() => import('./Order')),
      exact: true,
    },
 {
      path: '/apps/e-laundry/ordersview/:postId',
      component: lazy(() => import('./OrderView')),
      exact: true,
    },
  ],
};

export default ELaundryOrderConfig;
