import {
  Accordion,
  AccordionDetails,
  AccordionSummary,
  Typography,
} from "@material-ui/core";
import Googlemaps from "app/pages/e-commerce/Googlemap";
import React, { useState } from "react";
import ExpandMoreIcon from "@material-ui/icons/ExpandMore";
import useOrderView from "../../hooks/useOrderView";
import { useParams } from "react-router";
import { useQuery } from "react-query";

const OrderAddress = () => {
  const [map, setMap] = useState("shipping");
  let { postId } = useParams();
  const isEdit = postId !== "new";
  const { status, test, isFetching, error } = useQuery('users')
  console.log(test)
  const { data, isLoading, remove } = useOrderView({
    postId,
    enabled: isEdit,
  });
  return (
    <div>
      <Accordion
        className="shadow"
        expanded={map === "shipping"}
        onChange={() => setMap(map !== "shipping" ? "shipping" : false)}
      >
        <AccordionSummary expandIcon={<ExpandMoreIcon />}>
          <Typography className="font-600">آدرس تحویل</Typography>
        </AccordionSummary>
        <AccordionDetails className="flex flex-col md:flex-row">
          <Typography className="w-full md:max-w-256 mb-16 md:mb-0">
            {data?.fromAddress[0]?.address}
          </Typography>
          <div className="w-full h-320">
            <Googlemaps
              place={{
                lat: 35.68,
                lng: 51.38,
              }}
            />
          </div>
        </AccordionDetails>
      </Accordion>
    </div>
  );
};

export default OrderAddress;
