import { lazy } from 'react';
import en from './i18n/en';
import fa from './i18n/fa';
import i18next from 'i18next';
import { Redirect } from 'react-router-dom';

i18next.addResourceBundle('en', 'categories', en);
i18next.addResourceBundle('fa', 'categories', fa);

const CategoriesAppConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: [
        '/apps/e-laundry/categories/label/:labelHandle/:categoryId?',
        '/apps/e-laundry/categories/filter/:filterHandle/:categoryId?',
        '/apps/e-laundry/categories/:folderHandle/:categoryId?',
      ],
      component: lazy(() => import('./Categories')),
    },
    {
      path: '/apps/e-laundry/categories',
      component: () => <Redirect to="/apps/e-laundry/categories/all" />,
    },
    {
      path: '/apps/e-laundry/category/labels/:filterHandle',
      component: lazy(() => import('./CategoryLabels')),
    },
    {
      path: '/apps/e-laundry/category',
      component: () => <Redirect to="/apps/e-laundry/category/labels/all" />,
    },
  ],
};

export default CategoriesAppConfig;
