import axios from 'axios';
import { useQuery } from 'react-query';

export const getProcessKey = ({
  labelHandle,
  filterHandle,
  folderHandle,
}) => ['process', labelHandle, filterHandle, folderHandle];

export default function useProcess({
  labelHandle,
  filterHandle,
  folderHandle,
}) {
  const processKey = getProcessKey({
    labelHandle,
    filterHandle,
    folderHandle,
  });

  return useQuery(processKey, () =>
    axios
      .get('/api/process-app/process', {
        params: { labelHandle, filterHandle, folderHandle },
      })
      .then((res) => res.data)
  );
}
