import { lazy } from 'react';
import en from './i18n/en';
import fa from './i18n/fa';
import i18next from 'i18next';
import { Redirect } from 'react-router-dom';

i18next.addResourceBundle('en', 'properties', en);
i18next.addResourceBundle('fa', 'properties', fa);

const PropertiesConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: [
        '/apps/e-laundry/properties/label/:labelHandle/:propertyId?',
        '/apps/e-laundry/properties/filter/:filterHandle/:propertyId?',
        '/apps/e-laundry/properties/:folderHandle/:propertyId?',
      ],
      component: lazy(() => import('./Properties')),
    },
    {
      path: '/apps/e-laundry/properties',
      component: () => <Redirect to="/apps/e-laundry/properties/all" />,
    },
    {
      path: '/apps/e-laundry/property/labels/:filterHandle',
      component: lazy(() => import('./PropertyLabels')),
    },
    {
      path: '/apps/e-laundry/property',
      component: () => <Redirect to="/apps/e-laundry/property/labels/all" />,
    },
  ],
};

export default PropertiesConfig;
