import axios from 'axios';
import { queryCache } from 'app/App';
import { useMutation } from 'react-query';

export default function useDeletePropertyLabel() {
  return useMutation(
    (id) => {
      return axios.delete('/api/property-app/remove-property-label', {
        data: { propertyId: id },
      });
    },
    {
      onMutate: (id) => {
        queryCache.cancelQueries('propertyLabels');

        const previousPropertyLabels = queryCache.getQueryData(
          'propertyLabels'
        );

        queryCache.setQueryData(
          'propertyLabels',
          previousPropertyLabels.filter((label) => label.id !== id)
        );

        return () =>
          queryCache.setQueryData('propertyLabels', previousPropertyLabels);
      },
      onError: (err, variables, rollback) => rollback(),
      onSuccess: () => {
        queryCache.invalidateQueries('propertyLabels');
      },
    }
  );
}
