import { authRoles } from 'app/auth';
import en from './i18n/en';
import fa from './i18n/fa';
import ar from './i18n/ar';
import ru from './i18n/ru';

import Login from './Login';
import Register from './Register';
import Verifycode from './Verifycode';
import Confirm from './Confirm';
import Congratulations from './Congratulations';  
import ForgetPass from './ForgetPass';


import i18next from 'i18next';

i18next.addResourceBundle('en', 'loginPage', en);
i18next.addResourceBundle('fa', 'loginPage', fa);
i18next.addResourceBundle('ar', 'loginPage', ar);
i18next.addResourceBundle('ru', 'loginPage', ru);


const LoginConfig = {
  settings: {
    layout: {
      config: {
        navbar: {
          display: false,
        },
        toolbar: {
          display: true,
        },
        footer: {
          display: false,
        },
        leftSidePanel: {
          display: false,
        },
        rightSidePanel: {
          display: false,
        },
      },
    },
  },
  auth: authRoles.onlyGuest,
  routes: [
    {
      path: '/login',
      component: Login,
    },{ 
      path: '/forgetpass',
      component: ForgetPass,
    },{ 
      path: '/register',
      component: Register,
    },{
      path: '/verifycode',
      component: Verifycode,
    },{
      path: '/confirm',
      component: Confirm,
    },{
      path: '/congratulations',
      component: Congratulations,
    },
    
    
  ],
};

export default LoginConfig;
