import React, { useState } from "react";
// import PropTypes from "prop-types";
import Tab from "@material-ui/core/Tab";
import Tabs from "@material-ui/core/Tabs";
import FuseAnimate from "@fuse/core/FuseAnimate";
import NewMessage from "../components/NewMessage";
import P2PMessage from "../components/P2PMessage";
import BulkMessage from "../components/BulkMessage";
import Typography from "@material-ui/core/Typography";
import FusePageCarded from "@fuse/core/FusePageCarded";
import Icon from '@material-ui/core/Icon';
import {
  BrowserRouter as Router,
  Switch,
  Route,
  Link,
  useParams
} from "react-router-dom";

const SendMessage = (props) => {
  const [tabValue, setTabValue] = useState(0);

  const handleChangeTab = (event, value) => {
    setTabValue(value);
  };

  return (
    <FusePageCarded
      classes={{
        toolbar: "p-0",
        header: "min-h-36 h-36 sm:h-72 sm:min-h-72",
      }}
      header={
        <div className="flex items-center pr-24 pl-24">
          <FuseAnimate animation="transition.expandIn" delay={300}>
            <Icon className="text-32">message</Icon>
          </FuseAnimate>
          <FuseAnimate animation="transition.slideLeftIn" delay={300}>
            <Typography className="text-16 sm:text-18 pr-8 pl-8">ارسال پیامک</Typography>
          </FuseAnimate>
        </div>
      }
      contentToolbar={
        <Tabs
          value={tabValue}
          onChange={handleChangeTab}
          indicatorColor="primary"
          textColor="primary"
          variant="scrollable"
          scrollButtons="auto"
          classes={{ root: "w-full h-56" }}
        >
          <Tab className="h-64 normal-case text-black"
            component={Link} to="/apps/e-sms/sendmsg/post/normal-msg"
            label="ارسال عادی" >
          </Tab>
          <Tab className="h-64 normal-case" label="ارسال به مخاطبین"
            color="primary"
            component={Link} to="/apps/e-sms/sendmsg/post/contacts-msg" >
          </Tab>
          <Tab className="h-64 normal-case  " label="ارسال نظیر به نظیر"
            component={Link} to="/apps/e-sms/sendmsg/post/p2p-msg">
          </Tab>
          <Tab className="h-64 normal-case" label="ارسال از فایل "
            component={Link} to="/apps/e-sms/sendmsg/post/file-msg" />
          <Tab className="h-64 normal-case" label="ارسال برنامه ریزی"
            component={Link} to="/apps/e-sms/sendmsg/post/Scheduled-msg" />
          <Tab className="h-64 normal-case" label="ارسال هوشمند"
            component={Link} to="/apps/e-sms/sendmsg/post/smart-msg" />

        </Tabs >
      }
      content={
        < div className="p-16 sm:p-24" >
          {tabValue === 0 && <NewMessage />}
          {tabValue === 1 && <BulkMessage />}
          {tabValue === 2 && <P2PMessage />}
          {tabValue === 3 && <NewMessage />}
          {tabValue === 4 && <BulkMessage />}
          {tabValue === 5 && <P2PMessage />}
        </div >
      }
    />

  );
};

// SendMessage.propTypes = {};

export default SendMessage;
