import React from "react";
import PropTypes from "prop-types";
import Paper from "@material-ui/core/Paper";
import AppBar from "@material-ui/core/AppBar";
import Toolbar from "@material-ui/core/Toolbar";
import Typography from "@material-ui/core/Typography";
import Table from "@material-ui/core/Table";
import TableBody from "@material-ui/core/TableBody";
import TableCell from "@material-ui/core/TableCell";
import TableHead from "@material-ui/core/TableHead";
import TableRow from "@material-ui/core/TableRow";
import IconButton from '@material-ui/core/IconButton';
import AddShoppingCartIcon from '@material-ui/icons/AddShoppingCart';

const MessageInvoice = (props) => {
  return (
    <Paper className="w-full rounded-8 shadow-1">
      <AppBar position="static" color="White" elevation={0}>
        <Toolbar className="px-12 rounded-2 mb-8 md:mb-0 ">
        <IconButton edge="start"  className="px-12"  color="inherit" aria-label="menu">
            <AddShoppingCartIcon />
          </IconButton>
          <Typography variant="subtitle1" color="inherit" className="px-12">
            جزییات هزینه ارسال پیامک
          </Typography>
        </Toolbar>
      </AppBar>

      <div className="table-responsive">
        <Table className="w-full min-w-full px-12" size="small">
          <TableHead>
            <TableRow>
              <TableCell className="whitespace-no-wrap">اپراتور</TableCell>
              <TableCell className="whitespace-no-wrap">تعداد شماره  </TableCell>
              <TableCell className="whitespace-no-wrap">تعرفه پیامک</TableCell>
              <TableCell className="whitespace-no-wrap">مبلغ</TableCell>
            </TableRow>
          </TableHead>

          <TableBody>
            <TableRow>
              <TableCell scope="row">همراه اول</TableCell>
              <TableCell scope="row">۱۰۰</TableCell>
              <TableCell scope="row">۱۲۰ ریال</TableCell>
              <TableCell scope="row">۱۲۰۰۰ ریال</TableCell>
            </TableRow>
            <TableRow>
              <TableCell scope="row">ایرانسل</TableCell>
              <TableCell scope="row">۱۰۰</TableCell>
              <TableCell scope="row">۱۲۰ ریال</TableCell>
              <TableCell scope="row">۱۲۰۰۰ ریال</TableCell>
            </TableRow>
            <TableRow>
              <TableCell scope="row">سایر اپراتور ها</TableCell>
              <TableCell scope="row">۱۰۰</TableCell>
              <TableCell scope="row">۱۲۰ ریال</TableCell>
              <TableCell scope="row">۱۲۰۰۰ ریال</TableCell>
            </TableRow> 
            <TableRow>
              <TableCell scope="row" colSpan={3}>
                نوع پیام
              </TableCell>
              <TableCell scope="row">فارسی ۱ صفحه‌ای</TableCell>
            </TableRow>
            <TableRow>
              <TableCell scope="row" colSpan={3}>
                شماره های لیست ویژه
              </TableCell>
              <TableCell scope="row">۰</TableCell>
            </TableRow>
            <TableRow>
              <TableCell scope="row" colSpan={3}>
                مخاطبین قابل ارسال
              </TableCell>
              <TableCell scope="row">۱ عدد</TableCell>
            </TableRow>
            <TableRow>
              <TableCell scope="row" colSpan={3}>
               مبلغ نهایی ارسال
              </TableCell>
              <TableCell scope="row">۱۲۰ ریال</TableCell>
            </TableRow>
          </TableBody>
        </Table>
      </div>
    </Paper>
  );
};

MessageInvoice.propTypes = {};

export default MessageInvoice;
