import axios from 'axios';
import { useQuery } from 'react-query';

export default function useProduct({ MsgId, enabled = true }) {
  return useQuery(
    ['products', MsgId],
    (_, MsgId) =>
      axios
        .get(`/api/e-sms/sendmsg/post?`, { params: { MsgId } })
        .then((res) => {
          const data = res.data; 
          return data;
        }),
    {
      enabled,
      refetchOnWindowFocus: false,
      refetchOnReconnect: false,
    }
  );
}
