import axios from 'axios';
import FuseUtils from '@fuse/utils';
import { queryCache } from 'app/App';
import { useMutation } from 'react-query';

// const uploadImage = (productId = '', image) => {
//   var formData = new FormData();
//   const fileName = 'p_' + productId + '_' + image.id + '_';
//   formData.append(fileName, image.file);

//   if (productId) {
//     return axios
//       .put('/api/e-commerce-app/upload', formData)
//       .then((res) => res.data);
//   } 

//   return axios
//     .post('/api/e-commerce-app/upload', formData)
//     .then((res) => res.data);
// };

const saveProduct = ({ data, isEdit = false }) => {
  const {  ...formData } = data; 
 
     

    if (!isEdit && !formData.id) {
      formData.id = FuseUtils.generateGUID();
    }

    if (isEdit) {
      return axios.put('/api/e-commerce-app/product/save', formData);
    }

    return axios.post('/api/e-commerce-app/product/create', formData);
 
};

export default function useSaveProduct() {
  return useMutation(saveProduct, {
    onSuccess: (data, variables) => {
      console.log('onSuccess', data, variables);
      queryCache.invalidateQueries('products');
    },
  });
}
