import { lazy } from 'react';
import en from './i18n/en';
import ar from './i18n/ar';
import fa from './i18n/fa';
import i18next from 'i18next';

i18next.addResourceBundle('en', 'reports', en);
i18next.addResourceBundle('ar', 'reports', ar);
i18next.addResourceBundle('fa', 'reports', fa);
const ReportsConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: "/reports/sent-messages",
      exact: true,
      component: lazy(() => import("./NormalMsgReport")),
    },
    {
      path: "/reports/incoming-messages",
      exact: true,
      component: lazy(() => import("./NormalMsgReport")),
    },
    {
      path: "/reports/returned-charges",
      exact: true,
      component: lazy(() => import("./NormalMsgReport")),
    },
    {
      path: "/reports/normalReport",
      exact: true,
      component: lazy(() => import("./NormalMsgReport")),
    },
  ],
};

export default ReportsConfig;
