import PropTypes from 'prop-types';
import Card from '@material-ui/core/Card';
import Icon from '@material-ui/core/Icon';
import AppBar from '@material-ui/core/AppBar';
import Toolbar from '@material-ui/core/Toolbar';
import Typography from '@material-ui/core/Typography';
import CardContent from '@material-ui/core/CardContent';
import FuseAnimateGroup from '@fuse/core/FuseAnimateGroup';
 import IconButton from '@material-ui/core/IconButton';
import Paper from '@material-ui/core/Paper';
import Avatar from '@material-ui/core/Avatar';
      import { Link } from 'react-router-dom';

//import PhotoDocument from './OrdersStatus';
//import Vehicle from './OrdersStatus';

const OrderViewProducts = ({ t, theme, data }) => {
  return (
    <div>
        <FuseAnimateGroup
              className="flex flex-wrap"
              enter={{
                animation: 'transition.slideUpBigIn'
              }}
            >
            

            <div className="table-responsive">
                <table className="simple">
                  <thead>
                    <tr>
                      <th>ID</th>
                      <th>Image</th>
                      <th>Name</th>
                      <th>Price</th>
                      <th>Quantity</th>
                    </tr>
                  </thead>
                  <tbody>
                    {data?.products.map(product => (
                      <tr key={product.id}>
                        <td className="w-64">{product.id}</td>
                        <td className="w-80">
                          
                        </td>
                        <td> 
                           <span className="truncate">  {product.name}</span>
                        </td>
                        <td className="w-64 text-right">
                          <span className="truncate">  {product.baseFare}</span>
                        </td>
                        <td className="w-64 text-right">
                          <span className="truncate">  {product.minFare}</span>
                        </td>
                      </tr>
                    ))}
                  </tbody>
                </table>
              </div>


       </FuseAnimateGroup> 
    </div>



  );
};

OrderViewProducts.propTypes = {
  t: PropTypes.func.isRequired,
  theme: PropTypes.object.isRequired,
  data: PropTypes.object.isRequired,
};

export default OrderViewProducts;
