import PropTypes from 'prop-types';
import React from 'react';
import { makeStyles , lighten, darken } from '@material-ui/core/styles';
import List from '@material-ui/core/List';
import ListItem from '@material-ui/core/ListItem';
import clsx from "clsx";
import ListItemText from '@material-ui/core/ListItemText';
import ListItemAvatar from '@material-ui/core/ListItemAvatar';

import Card from '@material-ui/core/Card';
import Icon from '@material-ui/core/Icon';
import AppBar from '@material-ui/core/AppBar';
import Toolbar from '@material-ui/core/Toolbar';
import Typography from '@material-ui/core/Typography';
import CardContent from '@material-ui/core/CardContent';
import FuseAnimateGroup from '@fuse/core/FuseAnimateGroup';
import FuseAnimate from '@fuse/core/FuseAnimate';

 import IconButton from '@material-ui/core/IconButton';
import Paper from '@material-ui/core/Paper';
import Avatar from '@material-ui/core/Avatar';

      
const useStyles = makeStyles((theme) => ({
  cardview: {
    width: '100%',
    maxWidth: '36ch',
    backgroundColor: theme.palette.background.paper,
  },
  inline: {
    display: 'inline',
  },  alert: {
    borderRadius: theme.shape.borderRadius,
    padding: "8px 16px",
    marginBottom: "12px",
  },
  alertSuccess: {
    color: darken(theme.palette.success.main, 0.6),
    backgroundColor: lighten(theme.palette.success.main, 0.9),
  },
  alertError: {
    color: darken(theme.palette.error.main, 0.6),
    backgroundColor: lighten(theme.palette.error.main, 0.9),
  },
  alertWarning: {
    color: darken(theme.palette.warning.main, 0.6),
    backgroundColor: lighten(theme.palette.warning.main, 0.9),
  },
  alertTitle: {
    fontWeight: theme.typography.fontWeightMedium,
  },

}));

const OrderViewStatus = ({ t, theme, data }) => {
    const classes = useStyles();

  return (
    <div className="w-full">

  <FuseAnimate animation="transition.slideUpIn" delay={200}>
    <div className="flex flex-col md:flex-row sm:p-8 container">

       <div className="flex flex-1 flex-col min-w-0">      

    <Card className="w-full rounded-4 shadow-1 ">      
      <CardContent>
       {data?.status.map(status => (
          <div className={ status.active === true ? clsx(classes.alert, classes.alertSuccess ) : clsx(classes.alert, classes.alertError )  }>        
          <Typography
            gutterBottom
            component="div"
            className={clsx(classes.alertTitle)}
          >        
             {status.order} 
          </Typography>
          <div className="flex justify-between w-full">
            <div className="truncate pl-10">
             {status.name}
            </div>           
            <div className="text-center">
              <div> {status.date}</div>               
            </div>            
          </div>
        </div>
            ))}  
       </CardContent>
    </Card>
               {/*--------------------------------------------------------------------from -to -address -----------------------*/}
                 
         
    </div>

 
 
                 



 </div>
      </FuseAnimate>
    </div>



  );
};

OrderViewStatus.propTypes = {
  t: PropTypes.func.isRequired,
  theme: PropTypes.object.isRequired,
  data: PropTypes.object.isRequired,
};

export default OrderViewStatus;
