import PropTypes from 'prop-types';
import React from 'react';
import { makeStyles , useTheme  } from '@material-ui/core/styles';
import Timeline from '@material-ui/lab/Timeline';
import TimelineItem from '@material-ui/lab/TimelineItem';
import TimelineSeparator from '@material-ui/lab/TimelineSeparator';
import TimelineConnector from '@material-ui/lab/TimelineConnector';
import TimelineContent from '@material-ui/lab/TimelineContent';
import TimelineOppositeContent from '@material-ui/lab/TimelineOppositeContent';
import TimelineDot from '@material-ui/lab/TimelineDot';
import FastfoodIcon from '@material-ui/icons/Fastfood';
import LaptopMacIcon from '@material-ui/icons/LaptopMac';
import HotelIcon from '@material-ui/icons/Hotel';
import RepeatIcon from '@material-ui/icons/Repeat';
import Paper from '@material-ui/core/Paper';
import Typography from '@material-ui/core/Typography';
import FuseAnimate from '@fuse/core/FuseAnimate';
 
      
const useStyles = makeStyles((theme) => ({
  paper: {
    padding: '6px 16px',
  },
  secondaryTail: {
    backgroundColor: theme.palette.secondary.main,
  },
}));

const OrderViewStatusTimeline = ({ t, theme, data }) => {
    const classes = useStyles();
      const Apptheme = useTheme();

  return (
    <div className="w-full">

     <FuseAnimate animation="transition.slideUpIn" delay={200}>
 

    <Timeline align="alternate">
    
    {data?.status && data?.status.map(status => (
      <TimelineItem>      
        <TimelineOppositeContent>
          <Typography variant={ status.stcode === "0" ?   "outlined" : "body2" }  color="textSecondary">
                 {Apptheme.direction === 'ltr' ?  status.date :  status.date   }  
          </Typography>
        </TimelineOppositeContent>
        <TimelineSeparator color={ status.stcode === "5" ?   "" : "primary" }>
          <TimelineDot>
            <RepeatIcon />
          </TimelineDot>
          <TimelineConnector    color={ status.stcode === "6" ?   "primary" : "primary" } />
        </TimelineSeparator>                
        <TimelineContent>
          <Paper elevation={3} className={classes.paper}>
            <Typography variant="h6" component="h1">
              { status.stcode   }  
            </Typography>
            <Typography> { status.title  ? status.title:'status title undefined' }   </Typography>
          </Paper>
        </TimelineContent>
      </TimelineItem>
      ))}  


    </Timeline>


      </FuseAnimate>
    </div>



  );
};

OrderViewStatusTimeline.propTypes = {
  t: PropTypes.func.isRequired,
  theme: PropTypes.object.isRequired,
  data: PropTypes.object.isRequired,
};

export default OrderViewStatusTimeline;
