import { lazy } from 'react';
import en from './i18n/en';
import ar from './i18n/ar';
import i18next from 'i18next';

i18next.addResourceBundle('en', 'settings', en);
i18next.addResourceBundle('ar', 'settings', ar);

const SettingsConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: '/apps/settings/roles',
      component: lazy(() => import('./RolesManagement')),
      exact: true,
    },
    {
      path: '/apps/settings/main',
      component: lazy(() => import('./AppSettings/AppSettings')),
      exact: true,
    },
  ],
};

export default SettingsConfig;
