import axios from 'axios';
import { queryCache } from 'app/App';
import { useMutation } from 'react-query';

export default function useDeleteRole() {
  return useMutation(
    (roleId) => {
      return axios.delete('/api/usermanager-app/remove-role', {
        data: { roleId },
      });
    },
    {
      onError: (error, variables, rollback) => {
        rollback && rollback();
      },
      onSuccess: () => {
        queryCache.invalidateQueries('roles');
      },
    }
  );
}
