import axios from 'axios';
import { queryCache } from 'app/App';
import { useMutation } from 'react-query';

export default function useDeleteRoles() {
  return useMutation(
    (roleIds) => {
      return axios.delete('/api/usermanager-app/remove-roles', {
        data: { roles: roleIds.map((id) => ({ id })) },
      });
    },
    {
      onError: (error, variables, rollback) => {
        rollback && rollback();
      },
      onSuccess: () => {
        queryCache.invalidateQueries('roles');
      },
    }
  );
}
