import axios from 'axios';
import { usePaginatedQuery } from 'react-query';

export default function useRoles({ page, perPage, search, sortBy, sortDir }) {
  return usePaginatedQuery(
    ['roles', page, perPage, search, sortBy, sortDir],
    async (_, page, perPage, search, sortBy, sortDir) => {
      const skip = perPage * page - perPage;

      const response = await axios.get('/api/usermanager-app/rolesNew', {
        params: {
          limit: perPage,
          skip,
          search: search ? search : null,
          sortBy: sortBy ? sortBy : null,
          sortDir: sortBy ? sortDir : null,
        },
      });

      const { count, roles } = response.data;

      return {
        count,
        roles,
        pageCount: Math.ceil(count / perPage),
      };
    }
  );
}
