import { lazy } from 'react';
import en from './i18n/en';
import fa from './i18n/fa';
import i18next from 'i18next';
import { Redirect } from 'react-router-dom';

i18next.addResourceBundle('en', 'slider', en);
i18next.addResourceBundle('fa', 'slider', fa);

const ProcessAppConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: [
        '/apps/settings/slider/label/:labelHandle/:categoryId?',
        '/apps/settings/slider/filter/:filterHandle/:categoryId?',
        '/apps/settings/slider/:folderHandle/:categoryId?',
      ],
      component: lazy(() => import('./Process')),
    },
    {
      path: '/apps/settings/slider',
      component: () => <Redirect to="/apps/settings/slider/all" />,
    },
 
  ],
};

export default ProcessAppConfig;
