import { lazy } from 'react';
import en from '../i18n/en';
import ar from '../i18n/ar';
import i18next from 'i18next';
import { Redirect } from 'react-router-dom';

i18next.addResourceBundle('en', 'slider', en);
i18next.addResourceBundle('ar', 'slider', ar);

const SliderAppConfig = {
  settings: {
    layout: {
      config: {},
    },
  },
  routes: [
    {
      path: [
        '/apps/settings/slider/label/:labelHandle/:categoryId?',
        '/apps/settings/slider/filter/:filterHandle/:categoryId?',
        '/apps/settings/slider/:folderHandle/:categoryId?',
      ],
      component: lazy(() => import('./Slider')),
    },
    {
      path: '/apps/settings/slider',
      component: () => <Redirect to="/apps/settings/slider/all" />,
    },
 
  ],
};

export default SliderAppConfig;
