import axios from 'axios';
import { useQuery } from 'react-query';

export const getSliderKey = ({
  labelHandle,
  filterHandle,
  folderHandle,
}) => ['slider', labelHandle, filterHandle, folderHandle];

export default function useSlider({
  labelHandle,
  filterHandle,
  folderHandle,
}) {
  const sliderKey = getSliderKey({
    labelHandle,
    filterHandle,
    folderHandle,
  });

  return useQuery(sliderKey, () =>
    axios
      .get('/api/slider-app/slider', {
        params: { labelHandle, filterHandle, folderHandle },
      })
      .then((res) => res.data)
  );
}
