export function hasAccessToPage(rolePaths, pathname) {
  if (!pathname || !rolePaths || rolePaths?.length === 0) {
    return true;
  }

  const matchPath = rolePaths.find((item) => pathname.startsWith(item));

  if (
    !matchPath &&
    pathname !== '/' &&
    pathname.indexOf('/login') === -1 &&
    pathname.indexOf('access-denied') === -1
  ) {
    return false;
  }

  return true;
}

export function hasAccessToNavItem(rolePaths, item) {
  if (!rolePaths || rolePaths?.length === 0) {
    return true;
  }

  if (!item) {
    return false;
  }

  if (item.children) {
    //ignore empty collapse
    const allUrls = item.children
      .filter(({ type }) => type === 'item')
      .map(({ url }) => url);

    const childrenUrl = item.children
      .filter(({ type }) => type === 'collapse')
      .map(({ children }) => children)
      .flat()
      .map(({ url }) => url);

    const match = [...allUrls, ...childrenUrl].find((url) =>
      rolePaths.find((route) => url.startsWith(route))
    );

    if (!match) {
      return false;
    }

    return true;
  }

  if (item.url) {
    const match = rolePaths.find((route) => item.url.startsWith(route));

    if (!match) {
      return false;
    }

    return true;
  }

  return true;
}
