const symbolMap = {
  1: '۱',
  2: '۲',
  3: '۳',
  4: '۴',
  5: '۵',
  6: '۶',
  7: '۷',
  8: '۸',
  9: '۹',
  0: '۰',
};

const numberMap = {
  '۱': '1',
  '۲': '2',
  '۳': '3',
  '۴': '4',
  '۵': '5',
  '۶': '6',
  '۷': '7',
  '۸': '8',
  '۹': '9',
  '۰': '0',
};

export function toLocaleDigits(string, locale = 'en') {
  switch (locale) {
    case 'fa':
      return toPersianDigits(string);

    default:
      return toEnglishDigits(string);
  }
}

export function toPersianDigits(string) {
  if (string === undefined || string === null) {
    return '';
  }

  return string.toString().replace(/\d/g, function (match) {
    return symbolMap[match];
  });
}

export function toEnglishDigits(string) {
  if (string === undefined || string === null) {
    return '';
  }

  return string
    .toString()
    .replace(/[۰-۹]/g, function (match) {
      return numberMap[match];
    })
    .replace(/،/g, ',');
}
