import i18n from 'i18next';
import { initReactI18next } from 'react-i18next';
import en from './en';
import fa from './fa';

const getDefaultLanguage = () => {
  return localStorage?.getItem('locale') || 'fa';
};
// the translations
// (tip move them in a JSON file and import them)
const resources = {
  en: {
    translation: {
      'Welcome to React': 'Welcome to React and react-i18next',
    },
  },
};

i18n
  .use(initReactI18next) // passes i18n down to react-i18next
  .init({
    resources,
    lng: getDefaultLanguage(),

    keySeparator: false, // we do not use keys in form messages.welcome

    interpolation: {
      escapeValue: false, // react already safes from xss
    },
  });

i18n.addResourceBundle('en', 'app', en);
i18n.addResourceBundle('fa', 'app', fa);

export default i18n;
