// third-party
import { addLocaleData } from 'react-intl';
import localeEn from 'react-intl/locale-data/en';
import localeRu from 'react-intl/locale-data/ru';
import localeFa from 'react-intl/locale-data/fa';

// application
import enMessages from './messages/en';
import ruMessages from './messages/ru';
import faMessages from './messages/fa';


addLocaleData([...localeEn, ...localeRu, ...localeFa]);

export default {
    en: enMessages,
    ru: ruMessages,
    fa: faMessages,
};
